package com.ywt.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "mg_admin_menus_view")
public class MgAdminMenusView {

    @Id
    @Column(name = "id")
    private String id;

    @Column(name = "menu_code")
    private String menuCode;

    @Column(name = "menu_name")
    private String menuName;

    @Column(name = "url")
    private String url;

    @Column(name = "parent_id")
    private Integer parentId;

    @Column(name = "menu_id")
    private Integer menuId;

    @Column(name = "appid")
    private String appid;

    @Column(name = "admin_id")
    private Integer adminId;

    public String getId() {
        return id;
    }

    public String getMenuCode() {
        return menuCode;
    }

    public String getMenuName() {
        return menuName;
    }

    public String getUrl() {
        return url;
    }

    public Integer getParentId() {
        return parentId;
    }

    public Integer getMenuId() {
        return menuId;
    }

    public String getAppid() {
        return appid;
    }

    public Integer getAdminId() {
        return adminId;
    }
}
